part of 'theme_bloc.dart';

class ThemeState extends Equatable {
  const ThemeState({required this.currentTheme});

  final AppThemeMode currentTheme;

  @override
  List<Object?> get props => [currentTheme];

  ThemeState copyWith({AppThemeMode? currentTheme}) {
    return ThemeState(currentTheme: currentTheme ?? this.currentTheme);
  }
}
